[versions]
accompanistPermissions = "0.31.2-alpha"
agp = "8.5.1"
androidMapsUtils = "3.5.0"
bom = "2.6.1"
bomVersion = "VERSION"
coilCompose = "2.4.0"
coreKtxVersion = "1.10.1"
hiltAndroid = "2.51"
hiltCompiler = "2.52"
hiltNavigationCompose = "1.2.0"
kotlin = "1.9.0"
coreKtx = "1.15.0"
junit = "4.13.2"
junitVersion = "1.2.1"
espressoCore = "3.6.1"
ktorClientAndroid = "2.3.7"
ktorClientEngine_z = "2.3.12"
lifecycleRuntimeKtx = "2.8.7"
activityCompose = "1.9.3"
composeBom = "2024.10.01"
mapkit = "4.0.0"
mapkitSearch = "4.0.0"
mapsMobile = "4.8.1-lite"
mapsUtilsKtx = "3.5.0"
navigationCompose = "2.8.3"
playServicesMapsVersion = "18.1.0"
storageKt = "2.6.0"
ui = "1.7.5"
xmodule_z = "2.6.0"
volley = "1.2.1"
benchmarkMacro = "1.3.3"
firebaseFirestoreKtx = "25.1.1"
runtimeSavedInstanceState = "1.0.0-alpha11"
appcompat = "1.7.0"
playServicesMaps = "19.0.0"
yandexMapkitKmp = "0.1.0"
yandexMapkitKmpCompose = "0.1.0"

[libraries]
accompanist-navigation-material = { module = "com.github.chrisbanes.accompanist:accompanist-navigation-material", version.ref = "accompanistPermissions" }
accompanist-permissions = { module = "com.github.chrisbanes.accompanist:accompanist-permissions", version.ref = "accompanistPermissions" }
accompanist-systemuicontroller = { module = "com.github.chrisbanes.accompanist:accompanist-systemuicontroller", version.ref = "accompanistPermissions" }
android-maps-utils = { module = "com.google.maps.android:android-maps-utils", version.ref = "androidMapsUtils" }
androidx-core-ktx = { group = "androidx.core", name = "core-ktx", version.ref = "coreKtx" }
androidx-core-ktx-v1150 = { module = "androidx.core:core-ktx", version.ref = "coreKtxVersion" }
androidx-hilt-navigation-compose = { module = "androidx.hilt:hilt-navigation-compose", version.ref = "hiltNavigationCompose" }
androidx-navigation-compose = { module = "androidx.navigation:navigation-compose", version.ref = "navigationCompose" }
bom = { module = "io.github.jan-tennert.supabase:bom", version.ref = "bom" }
bom-vversion = { module = "io.github.jan-tennert.supabase:bom", version.ref = "bomVersion" }
coil-compose = { module = "io.coil-kt:coil-compose", version.ref = "coilCompose" }
github-postgrest-kt = { module = "io.github.jan-tennert.supabase:postgrest-kt" }
github-realtime-kt = { module = "io.github.jan-tennert.supabase:realtime-kt" }
gotrue-kt = { module = "io.github.jan-tennert.supabase:gotrue-kt" }
hilt-android = { module = "com.google.dagger:hilt-android", version.ref = "hiltAndroid" }
hilt-compiler = { module = "com.google.dagger:hilt-compiler", version.ref = "hiltCompiler" }
junit = { group = "junit", name = "junit", version.ref = "junit" }
androidx-junit = { group = "androidx.test.ext", name = "junit", version.ref = "junitVersion" }
androidx-espresso-core = { group = "androidx.test.espresso", name = "espresso-core", version.ref = "espressoCore" }
androidx-lifecycle-runtime-ktx = { group = "androidx.lifecycle", name = "lifecycle-runtime-ktx", version.ref = "lifecycleRuntimeKtx" }
androidx-activity-compose = { group = "androidx.activity", name = "activity-compose", version.ref = "activityCompose" }
androidx-compose-bom = { group = "androidx.compose", name = "compose-bom", version.ref = "composeBom" }
androidx-ui = { group = "androidx.compose.ui", name = "ui" }
androidx-ui-graphics = { group = "androidx.compose.ui", name = "ui-graphics" }
androidx-ui-tooling = { group = "androidx.compose.ui", name = "ui-tooling" }
androidx-ui-tooling-preview = { group = "androidx.compose.ui", name = "ui-tooling-preview" }
androidx-ui-test-manifest = { group = "androidx.compose.ui", name = "ui-test-manifest" }
androidx-ui-test-junit4 = { group = "androidx.compose.ui", name = "ui-test-junit4" }
androidx-material3 = { group = "androidx.compose.material3", name = "material3" }
ktor-client-android = { module = "io.ktor:ktor-client-android", version.ref = "ktorClientAndroid" }
ktor-client-engine_z = { module = "io.ktor:ktor-client-[engine]", version.ref = "ktorClientEngine_z" }
mapkit = { module = "com.yandex.mapkit:mapkit", version.ref = "mapkit" }
mapkit-search = { module = "com.yandex.mapkit:mapkit-search", version.ref = "mapkitSearch" }
maps-mobile = { module = "com.yandex.android:maps.mobile", version.ref = "mapsMobile" }
maps-utils-ktx = { module = "com.google.maps.android:maps-utils-ktx", version.ref = "mapsUtilsKtx" }
play-services-maps-v1810 = { module = "com.google.android.gms:play-services-maps", version.ref = "playServicesMapsVersion" }
realtime-kt = { module = "io.github.jan-tennert.supabase:realtime-kt" }
postgrest-kt = { module = "io.github.jan-tennert.supabase:postgrest-kt" }
storage-kt = { module = "io.github.jan-tennert.supabase:storage-kt", version.ref = "storageKt" }
supabase-gotrue-kt = { module = "io.github.jan-tennert.supabase:gotrue-kt" }
supabase-realtime-kt = { module = "io.github.jan-tennert.supabase:realtime-kt" }
supabase-postgrest-kt = { module = "io.github.jan-tennert.supabase:postgrest-kt" }
ui = { module = "androidx.compose.ui:ui", version.ref = "ui" }
xmodule_z = { module = "io.github.jan-tennert.supabase:[module]", version.ref = "xmodule_z" }
volley = { group = "com.android.volley", name = "volley", version.ref = "volley" }
androidx-benchmark-macro = { group = "androidx.benchmark", name = "benchmark-macro", version.ref = "benchmarkMacro" }
firebase-firestore-ktx = { group = "com.google.firebase", name = "firebase-firestore-ktx", version.ref = "firebaseFirestoreKtx" }
androidx-runtime-saved-instance-state = { group = "androidx.compose.runtime", name = "runtime-saved-instance-state", version.ref = "runtimeSavedInstanceState" }
androidx-appcompat = { group = "androidx.appcompat", name = "appcompat", version.ref = "appcompat" }
play-services-maps = { group = "com.google.android.gms", name = "play-services-maps", version.ref = "playServicesMaps" }
yandex-mapkit-kmp = { module = "ru.sulgik.mapkit:yandex-mapkit-kmp", version.ref = "yandexMapkitKmp" }
yandex-mapkit-kmp-compose = { module = "ru.sulgik.mapkit:yandex-mapkit-kmp-compose", version.ref = "yandexMapkitKmpCompose" }

[plugins]
android-application = { id = "com.android.application", version.ref = "agp" }
kotlin-android = { id = "org.jetbrains.kotlin.android", version.ref = "kotlin" }

